Bug 814889 - Wireless connection speed drops to zero for about a minute; kernel log flooded
Wireless connection speed drops to zero for about a minute; kernel log flooded
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
16
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: John W. Linville
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-20 22:41 EDT by calcdude84se
Modified: 2012-11-14 10:29 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-14 10:29:49 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
The contents of /bin/dmesg for one of these 1-minute downtimes (47.26 KB, text/plain)
2012-04-20 22:41 EDT, calcdude84se
no flags Details
Results of lspci -vvvxxx (15.41 KB, text/plain)
2012-04-23 17:11 EDT, calcdude84se
no flags Details

  None (edit)
Description calcdude84se 2012-04-20 22:41:36 EDT
Created attachment 579133 [details]
The contents of /bin/dmesg for one of these 1-minute downtimes

Description of problem:
Every so often (it seems like once every 10 minutes or so) my upload and download rates will drop to zero for about a minute. Checking /bin/dmesg, it's flooded with various messages, repeated several times (see attached)

Version-Release number of selected component (if applicable):
Kernel version 3.3.2-1.fc16.x86_64

How reproducible:
Connect to a WiFi network and eventually experience a sudden lack of connection for about a minute.

Expected results:
No sudden loss of connection.

Additional info:
ath9k driver
Comment 1 John W. Linville 2012-04-23 10:41:12 EDT
It looks like your link is going up and down rather quickly.  Is it possible that you are near some source of intermittent interference (like a public microwave oven in a breakroom)?
Comment 2 Mohammed Shafi 2012-04-23 12:16:27 EDT
please answer John's queries and provide us with as many debug data, lspci -vvvxxx

http://linuxwireless.org/en/users/Drivers/ath9k/debug
Comment 3 calcdude84se 2012-04-23 17:11:19 EDT
Created attachment 579695 [details]
Results of lspci -vvvxxx
Comment 4 calcdude84se 2012-04-23 17:23:31 EDT
> It looks like your link is going up and down rather quickly.  Is it possible
> that you are near some source of intermittent interference (like a public
> microwave oven in a breakroom)?
This is at home, and there are no non-wifi radio devices I am aware of besides a microwave which is definitely not in use when this happens. If this is radio interference, I have no idea what's causing it.

> please answer John's queries and provide us with as many debug data, lspci
> -vvvxxx
Results of lspci -vvvxxx attached. I will attempt to install the modified kernel at a later point.

Also, I have a Windows computer that doesn't seem to have this problem. Could it possibly be hardware-created interference? If that's a reasonable possibility, how would I tell?
Comment 5 Dave Jones 2012-10-23 11:35:17 EDT
# Mass update to all open bugs.

Kernel 3.6.2-1.fc16 has just been pushed to updates.
This update is a significant rebase from the previous version.

Please retest with this kernel, and let us know if your problem has been fixed.

In the event that you have upgraded to a newer release and the bug you reported
is still present, please change the version field to the newest release you have
encountered the issue with.  Before doing so, please ensure you are testing the
latest kernel update in that release and attach any new and relevant information
you may have gathered.

If you are not the original bug reporter and you still experience this bug,
please file a new report, as it is possible that you may be seeing a
different problem. 
(Please don't clone this bug, a fresh bug referencing this bug in the comment is sufficient).
Comment 6 Justin M. Forbes 2012-11-14 10:29:49 EST
With no response, we are closing this bug under the assumption that it is no longer an issue. If you still experience this bug, please feel free to reopen the bug report.

Note You need to log in before you can comment on or make changes to this bug.